# Actions sharing

Actions sharing in Prism / Objects / Actions — Micro Go reference.

Reference for Go SDK **0.8.0**.

[Release source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/api.md) · [Setup and client configuration](/docs/reference/go)

## Update

`PUT /v2/prism/{teamId}/action/{actionId}/grant`

````text
client.Prism.Objects.Actions.Grant.Update(ctx context.Context, actionID string, params micro.PrismObjectActionGrantUpdateParams) (*micro.PrismObjectActionGrantUpdateResponse, error)
````

Update grant

## Get

`GET /v2/prism/{teamId}/action/{actionId}/grant`

````text
client.Prism.Objects.Actions.Grant.Get(ctx context.Context, actionID string, query micro.PrismObjectActionGrantGetParams) (*micro.PrismObjectActionGrantGetResponse, error)
````

Get grant

## Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

### PrismObjectActionGrantUpdateResponse

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantUpdateResponse struct {
	TeamGroupID []map[string]PrismObjectActionGrantUpdateResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectActionGrantUpdateResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectActionGrantUpdateResponseUserID      `json:"user_id"`
	JSON        prismObjectActionGrantUpdateResponseJSON                     `json:"-"`
}
````


### PrismObjectActionGrantGetResponse

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantGetResponse struct {
	TeamGroupID []map[string]PrismObjectActionGrantGetResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectActionGrantGetResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectActionGrantGetResponseUserID      `json:"user_id"`
	JSON        prismObjectActionGrantGetResponseJSON                     `json:"-"`
}
````


### PrismObjectActionGrantUpdateParams

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantUpdateParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	PathTeamID     param.Field[string]                                                     `path:"teamId" api:"required" format:"uuid"`
	TeamGroupID    param.Field[[]map[string]PrismObjectActionGrantUpdateParamsTeamGroupID] `json:"team_group_id"`
	BodyTeamID     param.Field[map[string]PrismObjectActionGrantUpdateParamsTeamID]        `json:"team_id"`
	UserID         param.Field[[]map[string]PrismObjectActionGrantUpdateParamsUserID]      `json:"user_id"`
	IdempotencyKey param.Field[string]                                                     `header:"Idempotency-Key"`
}
````


### PrismObjectActionGrantGetParams

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantGetParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	TeamID param.Field[string] `path:"teamId" api:"required" format:"uuid"`
}
````


### PrismObjectActionGrantUpdateResponseTeamGroupID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantUpdateResponseTeamGroupID string
````


### PrismObjectActionGrantUpdateResponseTeamID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantUpdateResponseTeamID string
````


### PrismObjectActionGrantUpdateResponseUserID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantUpdateResponseUserID string
````


### PrismObjectActionGrantGetResponseTeamGroupID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantGetResponseTeamGroupID string
````


### PrismObjectActionGrantGetResponseTeamID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantGetResponseTeamID string
````


### PrismObjectActionGrantGetResponseUserID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantGetResponseUserID string
````


### PrismObjectActionGrantUpdateParamsTeamGroupID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantUpdateParamsTeamGroupID string
````


### PrismObjectActionGrantUpdateParamsTeamID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantUpdateParamsTeamID string
````


### PrismObjectActionGrantUpdateParamsUserID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjectactiongrant.go)

````text
type PrismObjectActionGrantUpdateParamsUserID string
````
